package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectManagementCollection extends AbstractObjectCollection 
{
    public ProjectManagementCollection()
    {
        super(ProjectManagementInfo.class);
    }
    public boolean add(ProjectManagementInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectManagementCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectManagementInfo item)
    {
        return removeObject(item);
    }
    public ProjectManagementInfo get(int index)
    {
        return(ProjectManagementInfo)getObject(index);
    }
    public ProjectManagementInfo get(Object key)
    {
        return(ProjectManagementInfo)getObject(key);
    }
    public void set(int index, ProjectManagementInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectManagementInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectManagementInfo item)
    {
        return super.indexOf(item);
    }
}